[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.UnInstallDaemons

Uninstall all daemons

## Declaration

Source position: daemonapp.pp line 398

`public procedure TCustomDaemonApplication.UnInstallDaemons;`

## Description

UnInstallDaemons uninstalls all known daemons, i.e. deregisters them with the service manager on Windows. This method is called if the application is run with the -u or --uninstall or /uninstall command-line option.

## See also

TCustomDaemonApplication.RunDaemons |  | Run all daemons.
TCustomDaemonApplication.InstallDaemons |  | Install all daemons.
TCustomDaemonApplication.StopDaemons |  | Stop all daemons